<!--
    Copyright (c) 2007, 2019 IBM Corporation and others.
    This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

    Contributors:
        IBM Corporation - initial API and implementation
 -->
<references name="[D:\WTP\bpc.zip]" contactInfo="Alexander.Dietzsch@de.ibm.com" refBuildId="D:\WTP\wtp-sdk-R-1.5.1-200609230508.zip" includes="[org.eclipse.wst.*, org.eclipse.jst.*, org.eclipse.jem*]" excludes="" includePlugins="" excludePlugins=""><plugin id="org.eclipse.wst.common.emf"><class name="org.eclipse.wst.common.internal.emf.resource.ReferencedResource" ref="8" impl="0" subclass="0" instantiate="0"><method name="setForceRefresh" desc="(Z)V" ref="4"/></class></plugin><plugin id="org.eclipse.wst.wsdl"><class name="org.eclipse.wst.wsdl.util.ExtensibilityElementFactoryRegistry" ref="10" impl="0" subclass="0" instantiate="0"><method name="registerFactory" desc="(Ljava/lang/String;Lorg/eclipse/wst/wsdl/util/ExtensibilityElementFactory;)V" ref="5"/></class><class name="org.eclipse.wst.wsdl.internal.impl.OperationImpl" ref="8" impl="0" subclass="4" instantiate="4"><method name="&lt;init>" desc="()V" ref="4"/></class><class name="org.eclipse.wst.wsdl.WSDLElement" ref="28" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.wst.wsdl.Message" ref="131" impl="0" subclass="0" instantiate="0"><method name="getPart" desc="(Ljava/lang/String;)Ljavax/wsdl/Part;" ref="7"/><method name="getParts" desc="()Ljava/util/Map;" ref="1"/><method name="getEParts" desc="()Lorg/eclipse/emf/common/util/EList;" ref="2"/><method name="eIsProxy" desc="()Z" ref="8"/><method name="getQName" desc="()Ljavax/xml/namespace/QName;" ref="31"/></class><class name="org.eclipse.wst.wsdl.internal.util.WSDLResourceFactoryImpl" ref="6" impl="0" subclass="0" instantiate="5"><method name="createResource" desc="(Lorg/eclipse/emf/common/util/URI;)Lorg/eclipse/emf/ecore/resource/Resource;" ref="1"/><method name="&lt;init>" desc="()V" ref="5"/></class><class name="org.eclipse.wst.wsdl.WSDLFactory" ref="44" impl="0" subclass="0" instantiate="0"><method name="createMessage" desc="()Lorg/eclipse/wst/wsdl/Message;" ref="2"/><method name="createUnknownExtensibilityElement" desc="()Lorg/eclipse/wst/wsdl/UnknownExtensibilityElement;" ref="6"/><method name="createOperation" desc="()Lorg/eclipse/wst/wsdl/Operation;" ref="2"/><method name="createImport" desc="()Lorg/eclipse/wst/wsdl/Import;" ref="3"/><method name="createOutput" desc="()Lorg/eclipse/wst/wsdl/Output;" ref="2"/><method name="createPortType" desc="()Lorg/eclipse/wst/wsdl/PortType;" ref="2"/><method name="createDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="4"/><method name="createFault" desc="()Lorg/eclipse/wst/wsdl/Fault;" ref="1"/><method name="createPart" desc="()Lorg/eclipse/wst/wsdl/Part;" ref="2"/><method name="createInput" desc="()Lorg/eclipse/wst/wsdl/Input;" ref="2"/><field name="eINSTANCE" desc="Lorg/eclipse/wst/wsdl/WSDLFactory;" ref="12"/></class><class name="org.eclipse.wst.wsdl.internal.impl.ImportImpl" ref="10" impl="0" subclass="0" instantiate="0"><method name="importDefinitionOrSchema" desc="()V" ref="2"/><method name="getEDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="2"/><method name="getDefinition" desc="()Ljavax/wsdl/Definition;" ref="2"/><method name="getESchema" desc="()Lorg/eclipse/xsd/XSDSchema;" ref="2"/></class><class name="org.eclipse.wst.wsdl.util.ExtensibilityElementFactory" ref="4" impl="4" subclass="0" instantiate="0"></class><class name="org.eclipse.wst.wsdl.Part" ref="114" impl="0" subclass="0" instantiate="0"><method name="setTypeDefinition" desc="(Lorg/eclipse/xsd/XSDTypeDefinition;)V" ref="2"/><method name="getName" desc="()Ljava/lang/String;" ref="15"/><method name="setTypeName" desc="(Ljavax/xml/namespace/QName;)V" ref="1"/><method name="eIsProxy" desc="()Z" ref="8"/><method name="getEMessage" desc="()Lorg/eclipse/wst/wsdl/Message;" ref="3"/><method name="getTypeName" desc="()Ljavax/xml/namespace/QName;" ref="2"/><method name="setElementDeclaration" desc="(Lorg/eclipse/xsd/XSDElementDeclaration;)V" ref="1"/><method name="setName" desc="(Ljava/lang/String;)V" ref="3"/><method name="getTypeDefinition" desc="()Lorg/eclipse/xsd/XSDTypeDefinition;" ref="6"/><method name="getElementDeclaration" desc="()Lorg/eclipse/xsd/XSDElementDeclaration;" ref="6"/></class><class name="org.eclipse.wst.wsdl.Definition" ref="148" impl="0" subclass="0" instantiate="0"><method name="addMessage" desc="(Ljavax/wsdl/Message;)V" ref="1"/><method name="getMessage" desc="(Ljavax/xml/namespace/QName;)Ljavax/wsdl/Message;" ref="4"/><method name="getPortType" desc="(Ljavax/xml/namespace/QName;)Ljavax/wsdl/PortType;" ref="7"/><method name="addPortType" desc="(Ljavax/wsdl/PortType;)V" ref="1"/><method name="getExtensibilityElements" desc="()Ljava/util/List;" ref="6"/><method name="getETypes" desc="()Lorg/eclipse/wst/wsdl/Types;" ref="2"/><method name="getService" desc="(Ljavax/xml/namespace/QName;)Ljavax/wsdl/Service;" ref="2"/><method name="getTargetNamespace" desc="()Ljava/lang/String;" ref="18"/><method name="addNamespace" desc="(Ljava/lang/String;Ljava/lang/String;)V" ref="9"/><method name="addImport" desc="(Ljavax/wsdl/Import;)V" ref="2"/><method name="getNamespace" desc="(Ljava/lang/String;)Ljava/lang/String;" ref="4"/><method name="setTargetNamespace" desc="(Ljava/lang/String;)V" ref="3"/><method name="getLocation" desc="()Ljava/lang/String;" ref="2"/><method name="getDocument" desc="()Lorg/w3c/dom/Document;" ref="2"/><method name="getPrefix" desc="(Ljava/lang/String;)Ljava/lang/String;" ref="8"/><method name="getEImports" desc="()Lorg/eclipse/emf/common/util/EList;" ref="2"/><method name="getImports" desc="(Ljava/lang/String;)Ljava/util/List;" ref="2"/><method name="getImports" desc="()Ljava/util/Map;" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.impl.UnknownExtensibilityElementImpl" ref="2" impl="0" subclass="2" instantiate="2"><method name="&lt;init>" desc="()V" ref="2"/></class><class name="org.eclipse.wst.wsdl.UnknownExtensibilityElement" ref="32" impl="2" subclass="0" instantiate="0"><method name="setElementType" desc="(Ljavax/xml/namespace/QName;)V" ref="2"/><method name="getElement" desc="()Lorg/w3c/dom/Element;" ref="5"/><method name="getElementType" desc="()Ljavax/xml/namespace/QName;" ref="3"/><method name="setElement" desc="(Lorg/w3c/dom/Element;)V" ref="2"/><method name="setRequired" desc="(Ljava/lang/Boolean;)V" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.impl.ServiceImpl" ref="2" impl="0" subclass="2" instantiate="2"><method name="&lt;init>" desc="()V" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.impl.MessageImpl" ref="2" impl="0" subclass="2" instantiate="2"><method name="&lt;init>" desc="()V" ref="2"/></class><class name="org.eclipse.wst.wsdl.Import" ref="16" impl="0" subclass="0" instantiate="0"><method name="getNamespaceURI" desc="()Ljava/lang/String;" ref="2"/><method name="setLocationURI" desc="(Ljava/lang/String;)V" ref="2"/><method name="getLocationURI" desc="()Ljava/lang/String;" ref="4"/><method name="setNamespaceURI" desc="(Ljava/lang/String;)V" ref="2"/></class><class name="org.eclipse.wst.wsdl.Output" ref="15" impl="0" subclass="0" instantiate="0"><method name="getMessage" desc="()Ljavax/wsdl/Message;" ref="6"/><method name="getEMessage" desc="()Lorg/eclipse/wst/wsdl/Message;" ref="1"/></class><class name="org.eclipse.wst.wsdl.Types" ref="4" impl="0" subclass="0" instantiate="0"><method name="getExtensibilityElements" desc="()Ljava/util/List;" ref="2"/></class><class name="org.eclipse.wst.wsdl.ExtensibleElement" ref="153" impl="64" subclass="0" instantiate="0"><method name="getExtensibilityElements" desc="()Ljava/util/List;" ref="8"/><method name="getEExtensibilityElements" desc="()Lorg/eclipse/emf/common/util/EList;" ref="10"/><method name="addExtensibilityElement" desc="(Ljavax/wsdl/extensions/ExtensibilityElement;)V" ref="6"/></class><class name="org.eclipse.wst.wsdl.UnknownExtensibilityElement[]" ref="1" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.wst.wsdl.internal.impl.DefinitionImpl" ref="20" impl="0" subclass="0" instantiate="0"><method name="getTypes" desc="()Ljavax/wsdl/Types;" ref="2"/><method name="getLocation" desc="()Ljava/lang/String;" ref="2"/><method name="getExtensibilityElements" desc="()Ljava/util/List;" ref="2"/><method name="getPortTypes" desc="()Ljava/util/Map;" ref="2"/><method name="getTargetNamespace" desc="()Ljava/lang/String;" ref="2"/><method name="getQName" desc="()Ljavax/xml/namespace/QName;" ref="2"/><method name="resolveTypeDefinition" desc="(Ljava/lang/String;Ljava/lang/String;)Lorg/eclipse/xsd/XSDTypeDefinition;" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.impl.PartImpl" ref="14" impl="0" subclass="2" instantiate="2"><method name="getTypeDefinition" desc="()Lorg/eclipse/xsd/XSDTypeDefinition;" ref="6"/><method name="&lt;init>" desc="()V" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.impl.XSDSchemaExtensibilityElementImpl" ref="4" impl="0" subclass="0" instantiate="0"><method name="getSchema" desc="()Lorg/eclipse/xsd/XSDSchema;" ref="2"/></class><class name="org.eclipse.wst.wsdl.Operation" ref="264" impl="0" subclass="0" instantiate="0"><method name="getEnclosingDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="2"/><method name="getEFaults" desc="()Lorg/eclipse/emf/common/util/EList;" ref="2"/><method name="addFault" desc="(Ljavax/wsdl/Fault;)V" ref="1"/><method name="setEInput" desc="(Lorg/eclipse/wst/wsdl/Input;)V" ref="1"/><method name="setEOutput" desc="(Lorg/eclipse/wst/wsdl/Output;)V" ref="1"/><method name="setName" desc="(Ljava/lang/String;)V" ref="2"/><method name="getEInput" desc="()Lorg/eclipse/wst/wsdl/Input;" ref="19"/><method name="getName" desc="()Ljava/lang/String;" ref="38"/><method name="setOutput" desc="(Ljavax/wsdl/Output;)V" ref="1"/><method name="setInput" desc="(Ljavax/wsdl/Input;)V" ref="1"/><method name="getEOutput" desc="()Lorg/eclipse/wst/wsdl/Output;" ref="19"/><method name="eContainer" desc="()Lorg/eclipse/emf/ecore/EObject;" ref="12"/><method name="eIsProxy" desc="()Z" ref="6"/><method name="getFault" desc="(Ljava/lang/String;)Ljavax/wsdl/Fault;" ref="3"/><method name="getOutput" desc="()Ljavax/wsdl/Output;" ref="2"/><method name="getInput" desc="()Ljavax/wsdl/Input;" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.util.WSDLModelLocator" ref="1" impl="1" subclass="0" instantiate="0"></class><class name="org.eclipse.wst.wsdl.WSDLPackage" ref="49" impl="0" subclass="0" instantiate="0"><method name="getService" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="4"/><method name="getOperation" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="4"/><method name="getDefinition" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getPortType" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="4"/><method name="getExtensibilityElement" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getMessage" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="4"/><method name="eClass" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getPart" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="4"/><field name="eINSTANCE" desc="Lorg/eclipse/wst/wsdl/WSDLPackage;" ref="23"/></class><class name="org.eclipse.wst.wsdl.PortType" ref="201" impl="0" subclass="0" instantiate="0"><method name="getEnclosingDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="1"/><method name="getOperations" desc="()Ljava/util/List;" ref="6"/><method name="setQName" desc="(Ljavax/xml/namespace/QName;)V" ref="1"/><method name="eResource" desc="()Lorg/eclipse/emf/ecore/resource/Resource;" ref="3"/><method name="eIsProxy" desc="()Z" ref="10"/><method name="setEnclosingDefinition" desc="(Lorg/eclipse/wst/wsdl/Definition;)V" ref="1"/><method name="addOperation" desc="(Ljavax/wsdl/Operation;)V" ref="1"/><method name="getQName" desc="()Ljavax/xml/namespace/QName;" ref="39"/></class><class name="org.eclipse.wst.wsdl.internal.impl.ExtensibleElementImpl" ref="88" impl="0" subclass="62" instantiate="62"><method name="toString" desc="()Ljava/lang/String;" ref="22"/><method name="eBaseStructuralFeatureID" desc="(ILjava/lang/Class;)I" ref="2"/><method name="eDerivedStructuralFeatureID" desc="(ILjava/lang/Class;)I" ref="2"/><method name="&lt;init>" desc="()V" ref="62"/></class><class name="org.eclipse.wst.wsdl.internal.impl.WSDLPackageImpl" ref="56" impl="0" subclass="0" instantiate="0"><method name="createPackageContents" desc="()V" ref="2"/><method name="getOperation" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="initializePackageContents" desc="()V" ref="2"/><method name="getPortType" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getUnknownExtensibilityElement" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getExtensibleElement" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getMessage" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="2"/><method name="getExtensibilityElement" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="12"/><method name="init" desc="()Lorg/eclipse/wst/wsdl/WSDLPackage;" ref="10"/><method name="getPart" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="4"/><method name="getQName" desc="()Lorg/eclipse/emf/ecore/EDataType;" ref="4"/><field name="eINSTANCE" desc="Lorg/eclipse/wst/wsdl/WSDLPackage;" ref="2"/></class><class name="org.eclipse.wst.wsdl.XSDSchemaExtensibilityElement" ref="4" impl="0" subclass="0" instantiate="0"><method name="getSchema" desc="()Lorg/eclipse/xsd/XSDSchema;" ref="2"/></class><class name="org.eclipse.wst.wsdl.util.WSDLResourceImpl" ref="22" impl="0" subclass="0" instantiate="0"><method name="getDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="8"/></class><class name="org.eclipse.wst.wsdl.internal.impl.PortTypeImpl" ref="10" impl="0" subclass="4" instantiate="4"><method name="getEnclosingDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="2"/><method name="getQName" desc="()Ljavax/xml/namespace/QName;" ref="2"/><method name="&lt;init>" desc="()V" ref="4"/></class><class name="org.eclipse.wst.wsdl.WSDLPlugin" ref="14" impl="0" subclass="0" instantiate="0"><method name="getExtensibilityElementFactoryRegistry" desc="()Lorg/eclipse/wst/wsdl/util/ExtensibilityElementFactoryRegistry;" ref="5"/><method name="getPlugin" desc="()Lorg/eclipse/wst/wsdl/WSDLPluginImplementation;" ref="4"/><field name="INSTANCE" desc="Lorg/eclipse/wst/wsdl/WSDLPlugin;" ref="5"/></class><class name="org.eclipse.wst.wsdl.Fault" ref="6" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="1"/><method name="getEMessage" desc="()Lorg/eclipse/wst/wsdl/Message;" ref="1"/></class><class name="org.eclipse.wst.wsdl.ExtensibilityElement" ref="214" impl="114" subclass="0" instantiate="0"><method name="getEnclosingDefinition" desc="()Lorg/eclipse/wst/wsdl/Definition;" ref="4"/><method name="eContainer" desc="()Lorg/eclipse/emf/ecore/EObject;" ref="2"/><method name="getElementType" desc="()Ljavax/xml/namespace/QName;" ref="6"/></class><class name="org.eclipse.wst.wsdl.Service" ref="8" impl="0" subclass="0" instantiate="0"><method name="getQName" desc="()Ljavax/xml/namespace/QName;" ref="2"/></class><class name="org.eclipse.wst.wsdl.internal.impl.ExtensibilityElementImpl" ref="378" impl="0" subclass="108" instantiate="108"><method name="reconcileAttributes" desc="(Lorg/w3c/dom/Element;)V" ref="12"/><method name="reconcileReferences" desc="(Z)V" ref="8"/><method name="eBaseStructuralFeatureID" desc="(ILjava/lang/Class;)I" ref="64"/><method name="eUnset" desc="(I)V" ref="4"/><method name="updateElement" desc="()V" ref="2"/><method name="toString" desc="()Ljava/lang/String;" ref="78"/><method name="changeAttribute" desc="(Lorg/eclipse/emf/ecore/EAttribute;)V" ref="12"/><method name="changeReference" desc="(Lorg/eclipse/emf/ecore/EReference;)V" ref="2"/><method name="eIsSet" desc="(I)Z" ref="4"/><method name="getElementType" desc="()Ljavax/xml/namespace/QName;" ref="2"/><method name="createElement" desc="()Lorg/w3c/dom/Element;" ref="10"/><method name="eDerivedStructuralFeatureID" desc="(ILjava/lang/Class;)I" ref="64"/><method name="eGet" desc="(IZZ)Ljava/lang/Object;" ref="4"/><method name="&lt;init>" desc="()V" ref="108"/><method name="eSet" desc="(ILjava/lang/Object;)V" ref="4"/></class><class name="org.eclipse.wst.wsdl.Input" ref="35" impl="0" subclass="0" instantiate="0"><method name="getMessage" desc="()Ljavax/wsdl/Message;" ref="13"/><method name="getEMessage" desc="()Lorg/eclipse/wst/wsdl/Message;" ref="4"/></class></plugin><plugin id="org.eclipse.wst.validation"><class name="org.eclipse.wst.validation.internal.core.ValidationException" ref="6" impl="0" subclass="0" instantiate="0"></class></plugin><plugin id="org.eclipse.jst.j2ee.core"><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.helpers.ArchiveManifest" ref="2" impl="0" subclass="0" instantiate="0"><method name="getMainAttributes" desc="()Ljava/util/jar/Attributes;" ref="1"/></class><class name="org.eclipse.jst.j2ee.webservice.wsclient.Webservice_clientPackage" ref="6" impl="0" subclass="0" instantiate="0"><method name="eClass" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="3"/><field name="eINSTANCE" desc="Lorg/eclipse/jst/j2ee/webservice/wsclient/Webservice_clientPackage;" ref="3"/></class><class name="org.eclipse.jst.j2ee.webapplication.WebApp" ref="2" impl="0" subclass="0" instantiate="0"><method name="getContextParams" desc="()Lorg/eclipse/emf/common/util/EList;" ref="1"/></class><class name="org.eclipse.jst.j2ee.common.EnvEntryType" ref="3" impl="0" subclass="0" instantiate="0"><field name="STRING_LITERAL" desc="Lorg/eclipse/jst/j2ee/common/EnvEntryType;" ref="3"/></class><class name="org.eclipse.jst.j2ee.application.Application" ref="6" impl="0" subclass="0" instantiate="0"><method name="getModule" desc="(Ljava/lang/String;Ljava/lang/String;)Lorg/eclipse/jst/j2ee/application/Module;" ref="1"/><method name="getDisplayName" desc="()Ljava/lang/String;" ref="2"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.File" ref="25" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="6"/><method name="getDirectoryURI" desc="()Ljava/lang/String;" ref="1"/><method name="getURI" desc="()Ljava/lang/String;" ref="3"/><method name="getInputStream" desc="()Ljava/io/InputStream;" ref="1"/><method name="isModuleFile" desc="()Z" ref="2"/><method name="isArchive" desc="()Z" ref="2"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.exception.OpenFailureException" ref="3" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.ejb.EJBJar" ref="9" impl="0" subclass="0" instantiate="0"><method name="getEnterpriseBeans" desc="()Lorg/eclipse/emf/common/util/EList;" ref="1"/><method name="getEnterpriseBeanNamed" desc="(Ljava/lang/String;)Lorg/eclipse/jst/j2ee/ejb/EnterpriseBean;" ref="4"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.exception.ArchiveWrappedException" ref="3" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.common.ResourceEnvRef" ref="2" impl="0" subclass="0" instantiate="0"><method name="getTypeName" desc="()Ljava/lang/String;" ref="1"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.exception.SaveFailureException" ref="3" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.common.ParamValue" ref="7" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="1"/><method name="setValue" desc="(Ljava/lang/String;)V" ref="1"/><method name="getDescription" desc="()Ljava/lang/String;" ref="1"/><method name="getValue" desc="()Ljava/lang/String;" ref="1"/><method name="setName" desc="(Ljava/lang/String;)V" ref="1"/><method name="setDescription" desc="(Ljava/lang/String;)V" ref="1"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.looseconfig.internal.LooseArchive" ref="2" impl="0" subclass="0" instantiate="0"><method name="getResourcesPath" desc="()Ljava/lang/String;" ref="1"/></class><class name="org.eclipse.jst.j2ee.application.WebModule" ref="1" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.jca.JcaPackage" ref="6" impl="0" subclass="0" instantiate="0"><method name="eClass" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="3"/><field name="eINSTANCE" desc="Lorg/eclipse/jst/j2ee/jca/JcaPackage;" ref="3"/></class><class name="org.eclipse.jst.j2ee.common.CommonPackage" ref="6" impl="0" subclass="0" instantiate="0"><method name="eClass" desc="()Lorg/eclipse/emf/ecore/EClass;" ref="3"/><field name="eINSTANCE" desc="Lorg/eclipse/jst/j2ee/common/CommonPackage;" ref="3"/></class><class name="org.eclipse.jst.j2ee.common.CommonFactory" ref="6" impl="0" subclass="0" instantiate="0"><method name="createParamValue" desc="()Lorg/eclipse/jst/j2ee/common/ParamValue;" ref="1"/><method name="createEnvEntry" desc="()Lorg/eclipse/jst/j2ee/common/EnvEntry;" ref="2"/><field name="eINSTANCE" desc="Lorg/eclipse/jst/j2ee/common/CommonFactory;" ref="1"/></class><class name="org.eclipse.jst.j2ee.common.ResourceRef" ref="9" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="3"/><method name="getType" desc="()Ljava/lang/String;" ref="3"/></class><class name="org.eclipse.jst.j2ee.ejb.MessageDriven" ref="2" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.EARFile" ref="7" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="1"/><method name="getFile" desc="(Ljava/lang/String;)Lorg/eclipse/jst/j2ee/commonarchivecore/internal/File;" ref="1"/><method name="getEJBJarFiles" desc="()Ljava/util/List;" ref="1"/><method name="close" desc="()V" ref="1"/><method name="extractTo" desc="(Ljava/lang/String;I)V" ref="1"/></class><class name="org.eclipse.jst.j2ee.common.EnvEntry" ref="16" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="3"/><method name="setValue" desc="(Ljava/lang/String;)V" ref="2"/><method name="getValue" desc="()Ljava/lang/String;" ref="1"/><method name="getType" desc="()Lorg/eclipse/jst/j2ee/common/EnvEntryType;" ref="1"/><method name="setName" desc="(Ljava/lang/String;)V" ref="2"/><method name="setType" desc="(Lorg/eclipse/jst/j2ee/common/EnvEntryType;)V" ref="2"/><method name="setDescription" desc="(Ljava/lang/String;)V" ref="2"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.looseconfig.internal.LooseApplication" ref="2" impl="0" subclass="0" instantiate="0"><method name="getLooseArchives" desc="()Lorg/eclipse/emf/common/util/EList;" ref="1"/></class><class name="org.eclipse.jst.j2ee.common.internal.impl.CommonFactoryImpl" ref="2" impl="0" subclass="0" instantiate="0"><field name="eINSTANCE" desc="Lorg/eclipse/jst/j2ee/common/CommonFactory;" ref="2"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.EJBJarFile" ref="6" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="1"/><method name="close" desc="()V" ref="1"/><method name="extractTo" desc="(Ljava/lang/String;I)V" ref="1"/><method name="getAbsolutePath" desc="()Ljava/lang/String;" ref="1"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.ModuleFile" ref="12" impl="0" subclass="0" instantiate="0"><method name="getFile" desc="(Ljava/lang/String;)Lorg/eclipse/jst/j2ee/commonarchivecore/internal/File;" ref="1"/><method name="getFiles" desc="()Lorg/eclipse/emf/common/util/EList;" ref="1"/><method name="isEARFile" desc="()Z" ref="2"/><method name="isEJBJarFile" desc="()Z" ref="1"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.exception.EmptyResourceException" ref="1" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.commonarchivecore.looseconfig.internal.LooseConfigRegister" ref="3" impl="0" subclass="0" instantiate="0"><method name="findLooseApplication" desc="(Ljava/lang/String;)Lorg/eclipse/jst/j2ee/commonarchivecore/looseconfig/internal/LooseApplication;" ref="1"/><method name="singleton" desc="()Lorg/eclipse/jst/j2ee/commonarchivecore/looseconfig/internal/LooseConfigRegister;" ref="1"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.exception.ResourceLoadException" ref="1" impl="0" subclass="0" instantiate="0"></class><class name="org.eclipse.jst.j2ee.ejb.EnterpriseBean" ref="12" impl="0" subclass="0" instantiate="0"><method name="getResourceEnvRefs" desc="()Lorg/eclipse/emf/common/util/EList;" ref="1"/><method name="getEnvironmentProperties" desc="()Lorg/eclipse/emf/common/util/EList;" ref="3"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.helpers.ArchiveOptions" ref="10" impl="0" subclass="0" instantiate="4"><method name="setIsReadOnly" desc="(Z)V" ref="3"/><method name="setUseJavaReflection" desc="(Z)V" ref="3"/><method name="&lt;init>" desc="()V" ref="4"/></class><class name="org.eclipse.jst.j2ee.commonarchivecore.internal.Archive" ref="44" impl="0" subclass="0" instantiate="0"><method name="getName" desc="()Ljava/lang/String;" ref="8"/><method name="getURI" desc="()Ljava/lang/String;" ref="1"/><method name="getResourceSet" desc="()Lorg/eclipse/emf/ecore/resource/ResourceSet;" ref="3"/><method name="getFiles" desc="()Lorg/eclipse/emf/common/util/EList;" ref="5"/></class></plugin></references>